matrix:
  platform:
    - ubuntu2404
    - ubuntu2404_arm64
    - macos
    - macos_arm64
  bazel:
    - 9.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - '@libwebm'
bcr_test_module:
  module_path: tests
  matrix:
    platform:
      - ubuntu2404
      - ubuntu2404_arm64
      - macos
      - macos_arm64
    bazel:
      - 9.x
  tasks:
    build_test_module:
      name: Build sample project
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
        - //:smoke
